".NET Framework Initialization Error" when launching Setup.exe

    Problem

    When launching Setup.exe you see the following error:

    setup net error.png

    Error Title: Setup.exe - .NET Framework Initialization Error

    Error Text: To run this application, you first must install one of the following versions of the .NET Framework: v4.0.30319.  Contact your application publisher for instructions about obtaining the appropriate version of the .NET Framework.

     

    or:

    setup error 45.pngErrot Title: Setup.exe - .NET Framework Initialization Error

    Error Text: To run this application, you first must install one of the following versions of the .NET Framework: v4.0, v4.5.  Contact your application publisher for instructions about obtaining the appropriate version of the .NET Framework.

     

    Environment

    Service Desk 7.5 and above.

     

    Cause

    This error will occur when .NET Framework 4 or 4.5 is not installed yet.  In earlier versions of Service Desk the installer would install this automatically however from version 7.5 onwards the installer itself is a .NET application so can no longer handle this pre-requisite.

     

    Solution - Service Desk 7.5

    The .NET Framework 4 installer is included with the Service Desk install files.  Install this manually then re-run Setup.exe.  The .NET installer executable is under the DotNetFX40 folder and named dotNetFx40_Full_x86_x64.exe.

     

    Solution - Service Desk 7.6 onwards

    The .NET Framework 4.5 installer is included with the Service Desk install files.  Install this manually then re-run Setup.exe.  The .NET installer executable is under the DotNetFX45 folder and named dotnetfx45_full_x86_x64.exe.